Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000181Bananian Linux[All Projects] Kernelpublic2015-12-22 10:422016-10-24 16:55
Reporterilvipero 
Assigned ToNico 
PrioritylowSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version15.08 
Target VersionFixed in Version 
Summary0000181: bananian Kernel compilation for TC/QoS
DescriptionI am testing Traffic Shaping/Control on bananian (BPI-R1 Hardware) and it seems some prerequisite kernel options are missing.
It would be very good to have those enabled by default in future releases.

Adding 2 sources for reference:
http://www.tldp.org/HOWTO/html_single/Traffic-Control-HOWTO/#s-kernel [^]
http://shorewall.net/traffic_shaping.htm#Kernel [^]
Additional InformationAccording to config-3.4.108-bananian, the options are not included in default kernel.
TagsNo tags attached.
Attached Files? file icon config-3.4.108-bananian [^] (101,123 bytes) 2015-12-22 10:42

- Relationships
has duplicate 0000215resolvedNico Add traffic control support 

-  Notes
(0000389)
Nico (manager)
2016-07-14 14:25

https://github.com/Bananian/linux-bananapi/commit/5c0dfc71258b99b553a96eff2280baef7bc5bf85 [^]
(0000396)
Nico (manager)
2016-10-24 16:55

This has been backported to Bananian 16.04 using kernel linux-image-3.4.112-bananian 16.04.03 released 2016-10.22.

- Issue History
Date Modified Username Field Change
2015-12-22 10:42 ilvipero New Issue
2015-12-22 10:42 ilvipero File Added: config-3.4.108-bananian
2016-07-13 06:37 Nico Relationship added duplicate of 0000215
2016-07-13 06:37 Nico Assigned To => Nico
2016-07-13 06:37 Nico Status new => assigned
2016-07-13 06:37 Nico Target Version => next
2016-07-13 06:38 Nico Relationship replaced has duplicate 0000215
2016-07-14 14:25 Nico Note Added: 0000389
2016-07-14 14:25 Nico Status assigned => resolved
2016-07-14 14:25 Nico Fixed in Version => next
2016-07-14 14:25 Nico Resolution open => fixed
2016-10-24 16:55 Nico Note Added: 0000396


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker